Subject: bug#74245: 30.0.92; CPerl subroutine signatures are left open when last param is $

From: Harald Jörg <[email-masked]>
Date: Mon, 13 Jan 2025 12:00:24 +0000

Peter Oliver <[email-masked]> writes:

> Perl subroutine signatures can include a variable with no name, just a
> bare $, to indicate that a parameter should be ignored.  If this
> happens in the last place, CPerl mode in Emacs 30.0.92 mishandles it,
> and is unable to see the closing ).  Consequently, it matches
> parentheses incorrectly, and misindents subsequent blocks.
>
> I have a test that I will send in as a patch, once I have a bug number.
>
> This issue is not present in Emacs 29.4.

Thank you for the report and for the test!

This is now fixed in the emacs-30 branch.

I would very much like to add the test and resource file as well.  Do we
need to do the copyright paperwork?
-- 
Cheers,
haj